Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xpath.func
Class Concat

    java.lang.Object
      org.basex.query.xpath.expr.Expr
          org.basex.query.xpath.func.Func
              org.basex.query.xpath.func.Concat

    public final class Concat

extends Func

Constructor for concat() function.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Tim Petrowsky

Field Summary

Fields inherited from class org.basex.query.xpath.func.Func
`desc`

Constructor Summary
`Concat(Expr[] arg)` Function Constructor.

Method Summary
`boolean` | `checkArguments()` Checks validity/number of arguments.
`Literal` | `eval(XPContext ctx)` Evaluates the expression with the specified context set.

Methods inherited from class org.basex.query.xpath.func.Func
`compile, evalArgs, toString, usesPos, usesSize`

Methods inherited from class org.basex.query.xpath.expr.Expr
`indexEquivalent, indexSizes, returnedValue, sameAs`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Concat

    public Concat(Expr[] arg)

  Function Constructor.

  Parameters:
    `arg` - expression array

Method Detail

### checkArguments

    public boolean checkArguments()

  Description copied from class: `Func`
  Checks validity/number of arguments.

  Specified by:
    `checkArguments` in class `Func`
  Returns:
    result of comparison

### eval

    public Literal eval(XPContext ctx)
                 throws EvalException

  Description copied from class: `Expr`
  Evaluates the expression with the specified context set. Additionally provides a context

  Specified by:
    `eval` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting XPathValue
  Throws:
    `EvalException` - evaluation exception

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD